"Http Error" When trying to use flash uploader (Firefox specific)

Hello,

We have had a recurring bug in our WP install where, if a user tries to use the flash uploader, they get the following: "Http Error". Nothing else. The weird thing is that this seems to only happen on the following browsers:

Firefox (Mac)
Safari (Mac)
Firefox (Windows)

Versions don't matter. The uploader works on IE (Windows) and Firefox on Linux. We don't have mod_security enabled in our environment. Does anyone have any thoughts/experience with this bug?